> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.erp.olist.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Atualizar contato



## OpenAPI

````yaml https://erp.olist.com/public-api/v3/swagger/swagger-mintlify.json put /contatos/{idContato}
openapi: 3.0.0
info:
  title: Olist ERP API v3
  description: >-
    Documentação completa: <a href="https://api-docs.erp.olist.com"
    target="_blank">https://api-docs.erp.olist.com</a>
  version: '3.1'
servers:
  - url: https://api.tiny.com.br/public-api/v3
security: []
paths:
  /contatos/{idContato}:
    put:
      tags:
        - Contatos
      summary: Atualizar contato
      operationId: AtualizarContatoAction
      parameters:
        - $ref: '#/components/parameters/put_contatos_idContato_idContato'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AtualizarContatoModelRequest'
      responses:
        '204':
          description: No Content
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDTO'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
        '503':
          description: Service Unavailable
      security:
        - bearerAuth: []
components:
  parameters:
    put_contatos_idContato_idContato:
      name: idContato
      in: path
      required: true
      schema:
        type: integer
  schemas:
    AtualizarContatoModelRequest:
      title: ' '
      description: ' '
      allOf:
        - $ref: '#/components/schemas/CriarAtualizarContatoModelRequest'
        - properties: {}
          type: object
    ErrorDTO:
      title: ' '
      description: ' '
      properties:
        mensagem:
          description: Mensagem de erro geral
          type: string
          example: Ocorreram erros de validação
        detalhes:
          description: Detalhes específicos do erro
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDTO'
          example:
            - campo: codigo
              mensagem: O campo código é obrigatório
          nullable: true
      type: object
    CriarAtualizarContatoModelRequest:
      title: ' '
      description: ' '
      type: object
      allOf:
        - $ref: '#/components/schemas/ContatoModel'
        - properties:
            vendedor:
              $ref: '#/components/schemas/VendedorRequestModel'
            tipos:
              type: array
              items:
                type: integer
            contatos:
              type: array
              items:
                $ref: '#/components/schemas/CriarContatoContatoModelRequest'
              nullable: true
          type: object
    ErrorDetailDTO:
      title: ' '
      description: ' '
      properties:
        campo:
          description: Campo que gerou o erro
          type: string
          example: codigo
        mensagem:
          description: Mensagem de erro específica do campo
          type: string
          example: O campo código é obrigatório
      type: object
    ContatoModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - $ref: '#/components/schemas/BaseContatoModel'
        - properties:
            enderecoCobranca:
              $ref: '#/components/schemas/EnderecoModel'
            inscricaoMunicipal:
              type: string
              nullable: true
            telefoneAdicional:
              type: string
              nullable: true
            emailNfe:
              type: string
              nullable: true
            site:
              type: string
              nullable: true
            regimeTributario:
              description: |-

                - 1 - Simples Nacional
                - 2 - Simples Nacional Excesso Receita
                - 3 - Regime Normal
                - 4 - Mei
              type: integer
              enum:
                - 1
                - 2
                - 3
                - 4
              nullable: true
              x-enumDescriptions:
                - 1 - Simples Nacional
                - 2 - Simples Nacional Excesso Receita
                - 3 - Regime Normal
                - 4 - Mei
            estadoCivil:
              description: |-

                - 1 - Casado
                - 2 - Solteiro
                - 3 - Viuvo
                - 4 - Separado
                - 5 - Desquitado
              type: integer
              enum:
                - 1
                - 2
                - 3
                - 4
                - 5
              nullable: true
              x-enumDescriptions:
                - 1 - Casado
                - 2 - Solteiro
                - 3 - Viuvo
                - 4 - Separado
                - 5 - Desquitado
            profissao:
              type: string
              nullable: true
            sexo:
              description: |-

                - masculino - Masculino
                - feminino - Feminino
              type: string
              enum:
                - masculino
                - feminino
              nullable: true
              x-enumDescriptions:
                - masculino - Masculino
                - feminino - Feminino
            dataNascimento:
              type: string
              nullable: true
            naturalidade:
              type: string
              nullable: true
            nomePai:
              type: string
              nullable: true
            nomeMae:
              type: string
              nullable: true
            cpfPai:
              type: string
              nullable: true
            cpfMae:
              type: string
              nullable: true
            limiteCredito:
              type: number
              format: float
              nullable: true
            situacao:
              description: |-

                - B - Ativo
                - A - Ativo Com Acesso Sistema
                - I - Inativo
                - E - Excluido
              type: string
              enum:
                - B
                - A
                - I
                - E
              nullable: true
              x-enumDescriptions:
                - B - Ativo
                - A - Ativo Com Acesso Sistema
                - I - Inativo
                - E - Excluido
            observacoes:
              type: string
              nullable: true
            observacoesDoContato:
              type: string
              nullable: true
          type: object
    VendedorRequestModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
          type: object
    CriarContatoContatoModelRequest:
      title: ' '
      description: ' '
      allOf:
        - $ref: '#/components/schemas/BasePessoaContatoModel'
        - properties: {}
          type: object
    BaseContatoModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            nome:
              type: string
              nullable: true
            codigo:
              type: string
              nullable: true
            fantasia:
              type: string
              nullable: true
            tipoPessoa:
              description: |-

                - J - Juridica
                - F - Fisica
                - E - Estrangeiro
                - X - Estrangeiro No Brasil
              type: string
              enum:
                - J
                - F
                - E
                - X
              nullable: true
              x-enumDescriptions:
                - J - Juridica
                - F - Fisica
                - E - Estrangeiro
                - X - Estrangeiro No Brasil
            cpfCnpj:
              type: string
              nullable: true
            inscricaoEstadual:
              type: string
              nullable: true
            rg:
              type: string
              nullable: true
            telefone:
              type: string
              nullable: true
            celular:
              type: string
              nullable: true
            email:
              type: string
              nullable: true
            endereco:
              $ref: '#/components/schemas/EnderecoModel'
          type: object
    EnderecoModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            endereco:
              type: string
              nullable: true
            numero:
              type: string
              nullable: true
            complemento:
              type: string
              nullable: true
            bairro:
              type: string
              nullable: true
            municipio:
              type: string
              nullable: true
            cep:
              type: string
              nullable: true
            uf:
              type: string
              nullable: true
            pais:
              type: string
              nullable: true
          type: object
    BasePessoaContatoModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            nome:
              type: string
              nullable: true
            telefone:
              type: string
              nullable: true
            ramal:
              type: string
              nullable: true
            email:
              type: string
              nullable: true
            setor:
              type: string
              nullable: true
          type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: Bearer

````